Name:			icewm
Version:		1.2.30
Release:		13%{?dist}
Summary:		Light and configurable window manager

Group:			User Interface/Desktops
License:		LGPL
URL:			http://www.icewm.org
Source0:		http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:		http://lostclus.linux.kiev.ua/scripts/icewm-xdg-menu
Source2:		icewm.desktop
Source4:		icewm-startup
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	imlib-devel
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	libXinerama-devel
BuildRequires:	libXft-devel
BuildRequires:	libICE-devel
BuildRequires:	gettext
BuildRequires:	gnome-desktop-devel
Requires:		redhat-artwork
Requires:		alsa-utils
Requires:		htmlview
Requires:		xterm

Patch0:			icewm-configure.patch
Patch1:			icewm-menu.patch
Patch2:			icewm-toolbar.patch
Patch3:			icewm-keys.patch
Patch4:			icewm-1.2.30-apm-battery.patch


%description
IceWM is a window manager for the X Window System (freedesktop, XFree86).
The goal of IceWM is speed, simplicity, and not getting in the user's way.


%package		gnome
Summary:		GNOME menu support for IceWM window manager
Group:			User Interface/Desktops
Requires:		gnome-menus
Requires:		icewm = %{version}-%{release}




%description	gnome
IceWM-gnome adds gnome-menu support for the IceWM window manager.


%package		xdgmenu
Summary:		Automatically generate the main IceWM menu
Group:			User Interface/Desktops
Requires:		pyxdg
Requires:		icewm = %{version}-%{release}


%description	xdgmenu
IceWM-xdgmenu generates static IceWM menu files from the existing
freedesktop.org .desktop files. Files are re-generated each time the
user logs-in.


%prep
%setup -q
%patch0 -p1 -b .configure
%patch1 -p1 -b .menu
%patch2 -p1 -b .toolbar
%patch3 -p1 -b .keys
%patch4 -p0 -b .apmbattery


%build
# Configure sets the CXXFLAGS to: -fpermissive -fno-exceptions -fno-rtti -Wxxx...
# In general it doesn't seem to break anything. BZ# if you hit something bad.
%configure --enable-gradients 					\
			--enable-antialiasing				\
			--enable-menus-gnome2				\
			--disable-menus-gnome1				\
			--with-cfgdir=%{_sysconfdir}/icewm
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
%{__install} -p -m 644 doc/icewm.1.man $RPM_BUILD_ROOT/%{_mandir}/man1/icewm.1

%{__install} -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}

%{__install} -p -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/icewm/startup

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/xsessions/
%{__install} -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/xsessions/

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS CHANGES COPYING README README.wm-session TODO doc/*.html
%exclude %{_datadir}/icewm/startup
%{_datadir}/icewm/
%{_datadir}/xsessions/icewm.desktop
%{_mandir}/man1/icewm.1*
%{_bindir}/icewmbg
%{_bindir}/icehelp
%{_bindir}/icesh
%{_bindir}/icewm
%{_bindir}/icewm-session
%{_bindir}/icewmhint
%{_bindir}/icewmtray


%files gnome
%defattr(-,root,root,-)
%{_bindir}/icewm-menu-gnome2


%files xdgmenu
%defattr(-,root,root,-)
%{_bindir}/icewm-xdg-menu*
%{_datadir}/icewm/startup


%changelog
* Mon Apr 09 2007 <gilboad AT gmail DOT com> - 1.2.30-13
- APMStatus crash fix. (Icewm #1696182)

* Sat Feb 10 2007 <gilboad AT gmail DOT com> - 1.2.30-12
- Add missing dot in the -gnome sub-package description.
- Replace REQ icewm (in both -gnome and -xdgmenu) with icewm-x.x.x.
- Fix -xdgmenu file list and %%install section.
- Preserve the source time-stamp.

* Sun Feb 04 2007 <gilboad AT gmail DOT com> - 1.2.30-11
- Remove .Xdefaults fix from startup. (reported upstream).
- Replace buildroot with RPM_BUILD_ROOT.

* Sun Jan 28 2007 <gilboad AT gmail DOT com> - 1.2.30-10
- Missing REQ: icewm (both -gnome and -xdgmenu)
- Updated menu.in patch.
- Updated startup script. (-xdgmenu)
- Updated icewm-xdg-menu script. (-xdgmenu)

* Thu Jan 25 2007 <gilboad AT gmail DOT com> - 1.2.30-9
- Remove redundant icewm-xdg-menu* %%file entry.
- Change sub-package name to xdgmenu.
- Move icewm-xdg-menu to xdgmenu sub-package.
- Removed the icewm-generate-menu script.

* Sat Jan 20 2007 <gilboad AT gmail DOT com> - 1.2.30-8
- Fix source1 URL. (2nd is a winner)
- Fix -gnome summery.
- New sub-package: icewm-xdg-menu
- ALPHA: icewm-generate-menu script added to use icewm-xdg-menu to generate static menus.

* Sat Jan 20 2007 <gilboad AT gmail DOT com> - 1.2.30-7
- Fix source1 URL.
- Fix xdg-menu* owner.
- Replace default terminal icon to reduce dep-chain.
- Fix icewm-gnome description.
- Replace install with %%{_install}
- Push -gnome's BR to main package.
- Change hard-coded sysconf path.

* Tue Jan 18 2007 <gilboad AT gmail DOT com> - 1.2.30-6
- Change license back to LGPL.
- Change summery.
- New sub-package: -gnome. (GNOME menu support.)
- Missing REQ: xterm.
- Missing REQ: htmlview.
- Remove redundant %%_sysconf section.
- Remove redundant redhat-xxx icons.
- New REQ: redhat-artwork. (icons)
- Better man pages handling.
- Customize keys to better match fedora.
- New REQ: eject. (keys)
- New REQ: alsautils. (keys)

* Wed Jan 17 2007 <gilboad AT gmail DOT com> - 1.2.30-5
- Fix Source0 URL.
- Replace cp with install.
- Do not gzip the man page, just copy it.
- Use htmlview instead of firefox.
- Use BlueCurve icons instead of the mozilla ones.
- Re-fix lang support.
- Return the default configuration files to %%_datadir
- Add gdm session support.
- Remove gnome-menus from default menu - replace it with pyxdg/icewm-xdg-menu.

* Tue Jan 16 2007 <gilboad AT gmail DOT com> - 1.2.30-4
- Fix man page name.
- Remove missing menu items.
- Convert GNOME-menu patch to configure.in patch.
- Push default configuration into /etc/icewm
- Remove the default KDE support. (At least for now)
- Require firefox (default browser in Fedora).
- Add missing firefox icon. (No source - manual convert)
- Add missing gnome-menus. (required for GNOME2 menus)
- Fix missing gettext BR.
- Fix missing lang support.

* Sat Jan 13 2007 <gilboad AT gmail DOT com> - 1.2.30-3
- Fix wrong license. (Was LGPL, should be GPL.)

* Tue Jan 11 2007 <gilboad AT gmail DOT com> - 1.2.30-2
- Manually add missing man page.

* Tue Jan 11 2007 <gilboad AT gmail DOT com> - 1.2.30-1
- Initial release.

